<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        window.opener.postMessage("Im from child",'*')
        window.addEventListener("message",(e)=>{console.log(e.data)})
    </script>
</body>
</html>